{
    template:'${tmpl}',
    data:function(){
        return {
            srcurl:"",
        }
    },
    mounted:function(){
        var self=this;
        self.$root.showMask();
        var $q=$("#ifrmrg") ;
        $q.load(function(){
            setTimeout(()=>{
                self.$root.hideMask();
            },1500);
        });
    },
    created:function(){
        if(this.currentUser){
            var openidtmp=this.$root.currentCompany.id+this.currentUser.userName;
            this.srcurl="https://boss.gongsibao.com/automaticsubmit?showtype=1&channelcode=cjt&itemcode=1&openid="+openidtmp+"#/automaticsubmit";
        }else{
            this.$root.pushx({
                title:"登录",
                name:"/login"
            });
            localStorage.setItem("afterLogin",JSON.stringify({
                title:"商标注册",
                name:"/tmregister"
            }));
        }
    },
    methods:{
    },
    vname:"gsb_tmregister"
}
